Loading...
Searching...
No Matches
elastix::GTestUtilities Namespace Reference

## Data Structures

struct | ValueAndDerivative

## Functions

template<typename TElastix>
itk::SmartPointer< TElastix > | CreateDefaultElastixObject ()
template<typename TMap>
void | ExpectAllKeysUnique (const TMap &map1, const TMap &map2)
itk::OptimizerParameters< double > | GeneratePseudoRandomParameters (const unsigned numberOfParameters, const double minValue, const double maxValue=1.0)
template<typename TFixedImage, typename TMovingImage>

void

InitializeMetric (itk::AdvancedImageToImageMetric< TFixedImage, TMovingImage > &metric, const TFixedImage &fixedImage, const TMovingImage &movingImage, itk::ImageSamplerBase< TFixedImage > &imageSampler, itk::AdvancedTransform< double, TFixedImage::ImageDimension, TMovingImage::ImageDimension > &advancedTransform, itk::InterpolateImageFunction< TMovingImage > &interpolator, const typename TFixedImage::RegionType &fixedImageRegion)

template<typename TMap>
TMap | MakeMergedMap (TMap map1, const TMap &map2)

## Function Documentation

## CreateDefaultElastixObject()

template<typename TElastix>

itk::SmartPointer< TElastix > elastix::GTestUtilities::CreateDefaultElastixObject | ( |  | ) |

Creates a default ElastixTemplate<FixedImageType, MovingImageType> object. for unit testing purposes.

Definition at line 82 of file elxGTestUtilities.h.

## ExpectAllKeysUnique()

template<typename TMap>

void elastix::GTestUtilities::ExpectAllKeysUnique | ( | const TMap & | map1,
|  | const TMap & | map2 )

Expect that all keys of both specified maps are unique.

Definition at line 53 of file elxGTestUtilities.h.

## GeneratePseudoRandomParameters()

itk::OptimizerParameters< double > elastix::GTestUtilities::GeneratePseudoRandomParameters | ( | const unsigned | numberOfParameters,
|  | const double | minValue,
|  | const double | maxValue = 1.0 )

inline

Returns an OptimizerParameters object, filled with pseudo random floating point numbers between the specified minimum and maximum value.

Definition at line 106 of file elxGTestUtilities.h.

## InitializeMetric()

template<typename TFixedImage, typename TMovingImage>

void elastix::GTestUtilities::InitializeMetric | ( | itk::AdvancedImageToImageMetric< TFixedImage, TMovingImage > & | metric,
|  | const TFixedImage & | fixedImage,
|  | const TMovingImage & | movingImage,
|  | itk::ImageSamplerBase< TFixedImage > & | imageSampler,
|  | itk::AdvancedTransform< double, TFixedImage::ImageDimension, TMovingImage::ImageDimension > & | advancedTransform,
|  | itk::InterpolateImageFunction< TMovingImage > & | interpolator,
|  | const typename TFixedImage::RegionType & | fixedImageRegion )

Does set up and initialize the specified advanced metric.

Definition at line 125 of file elxGTestUtilities.h.

## MakeMergedMap()

template<typename TMap>

TMap elastix::GTestUtilities::MakeMergedMap | ( | TMap | map1,
|  | const TMap & | map2 )

Makes a map by merging its two arguments together.

Definition at line 67 of file elxGTestUtilities.h.

Generated on 1768596610 for elastix by 1.15.0 |